"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const ContextField_1 = tslib_1.__importDefault(require("./ContextField"));
const createGraphqlClient_1 = require("./contextUtils/createGraphqlClient");
const FeatureGateEnvOverrides_1 = tslib_1.__importDefault(require("../gating/FeatureGateEnvOverrides"));
const FeatureGating_1 = tslib_1.__importDefault(require("../gating/FeatureGating"));
class MaybeLoggedInContextField extends ContextField_1.default {
    async getValueAsync({ sessionManager }) {
        var _a;
        const authenticationInfo = {
            accessToken: sessionManager.getAccessToken(),
            sessionSecret: sessionManager.getSessionSecret(),
        };
        const graphqlClient = (0, createGraphqlClient_1.createGraphqlClient)(authenticationInfo);
        const actor = await sessionManager.getUserAsync();
        const featureGateServerValues = (_a = actor === null || actor === void 0 ? void 0 : actor.featureGates) !== null && _a !== void 0 ? _a : {};
        return {
            actor: actor !== null && actor !== void 0 ? actor : null,
            featureGating: new FeatureGating_1.default(featureGateServerValues, new FeatureGateEnvOverrides_1.default()),
            graphqlClient,
        };
    }
}
exports.default = MaybeLoggedInContextField;
