"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssignAscApiKey = void 0;
const tslib_1 = require("tslib");
const AppleTeamUtils_1 = require("./AppleTeamUtils");
const AscApiKeyUtils_1 = require("./AscApiKeyUtils");
const log_1 = tslib_1.__importDefault(require("../../../log"));
class AssignAscApiKey {
    constructor(app) {
        this.app = app;
    }
    async runAsync(ctx, ascApiKey, purpose) {
        var _a, _b;
        const appleTeam = (_b = (_a = (await (0, AppleTeamUtils_1.resolveAppleTeamIfAuthenticatedAsync)(ctx, this.app))) !== null && _a !== void 0 ? _a : ascApiKey.appleTeam) !== null && _b !== void 0 ? _b : null;
        const appCredentials = await ctx.ios.createOrGetIosAppCredentialsWithCommonFieldsAsync(ctx.graphqlClient, this.app, { appleTeam: appleTeam !== null && appleTeam !== void 0 ? appleTeam : undefined });
        let updatedAppCredentials;
        if (purpose === AscApiKeyUtils_1.AppStoreApiKeyPurpose.SUBMISSION_SERVICE) {
            updatedAppCredentials = await ctx.ios.updateIosAppCredentialsAsync(ctx.graphqlClient, appCredentials, {
                ascApiKeyIdForSubmissions: ascApiKey.id,
            });
        }
        else {
            throw new Error(`${purpose} is not yet supported.`);
        }
        log_1.default.succeed(`App Store Connect API Key assigned to ${this.app.projectName}: ${this.app.bundleIdentifier} for ${purpose}.`);
        return updatedAppCredentials;
    }
}
exports.AssignAscApiKey = AssignAscApiKey;
