"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssignPushKey = void 0;
const tslib_1 = require("tslib");
const AppleTeamUtils_1 = require("./AppleTeamUtils");
const log_1 = tslib_1.__importDefault(require("../../../log"));
class AssignPushKey {
    constructor(app) {
        this.app = app;
    }
    async runAsync(ctx, pushKey) {
        var _a, _b;
        const appleTeam = (_b = (_a = (await (0, AppleTeamUtils_1.resolveAppleTeamIfAuthenticatedAsync)(ctx, this.app))) !== null && _a !== void 0 ? _a : pushKey.appleTeam) !== null && _b !== void 0 ? _b : null;
        const appCredentials = await ctx.ios.createOrGetIosAppCredentialsWithCommonFieldsAsync(ctx.graphqlClient, this.app, { appleTeam: appleTeam !== null && appleTeam !== void 0 ? appleTeam : undefined });
        const updatedAppCredentials = await ctx.ios.updateIosAppCredentialsAsync(ctx.graphqlClient, appCredentials, {
            applePushKeyId: pushKey.id,
        });
        log_1.default.succeed(`Push Key assigned to ${this.app.projectName}: ${this.app.bundleIdentifier}`);
        return updatedAppCredentials;
    }
}
exports.AssignPushKey = AssignPushKey;
