"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isRunnableOnSimulatorOrEmulator = void 0;
const generated_1 = require("../graphql/generated");
function isAab(build) {
    var _a, _b, _c;
    return (_c = (_b = (_a = build.artifacts) === null || _a === void 0 ? void 0 : _a.applicationArchiveUrl) === null || _b === void 0 ? void 0 : _b.endsWith('.aab')) !== null && _c !== void 0 ? _c : false;
}
function didArtifactsExpire(build) {
    return new Date().getTime() - new Date(build.completedAt).getTime() > 30 * 24 * 60 * 60 * 1000; // 30 days
}
function isRunnableOnSimulatorOrEmulator(build) {
    var _a;
    return (build.status === generated_1.BuildStatus.Finished &&
        !!((_a = build.artifacts) === null || _a === void 0 ? void 0 : _a.applicationArchiveUrl) &&
        ((build.platform === generated_1.AppPlatform.Ios && build.isForIosSimulator) ||
            (build.platform === generated_1.AppPlatform.Android && !isAab(build))) &&
        !didArtifactsExpire(build));
}
exports.isRunnableOnSimulatorOrEmulator = isRunnableOnSimulatorOrEmulator;
